create procedure sistema.sp_guardarProyectoUsuarioModulo
@numConfiguracion int,
@numAsignacion int,
@numCodproyecto int,
@txtProyecto varchar(300),
@numUsuario int,
@dbRespuesta varchar(300) output,
@dbId int output
as
begin
	set nocount on;

	if @numAsignacion = 0
		begin
			insert into sistema.config_proyectosUsuario(idUsuario,idConfig,codproyecto,nombreProyecto) values(@numUsuario,@numConfiguracion,@numCodproyecto,@txtProyecto);
			select @dbId = SCOPE_IDENTITY();
		end
	else
		begin
			set @dbId = @numAsignacion;
			update sistema.config_proyectosUsuario set codproyecto = @numCodproyecto,nombreProyecto = @txtProyecto WHERE id = @dbId;
		end

	set @dbRespuesta = 'success';
end